/********************************************************************
*   Copyright (c) 2001 Xilinx, Inc.  All rights reserved. 
*   Xilinx, Inc.
************************************************************************/

/* This is the list of files that must be included to access the peripherals:
 * xgpio_l.h  - to access the general purpose I/O
 * xparameters.h  - General purpose definitions.  Must always be included
 *           when any drivers/print routines are accessed.  This defines
 *           addresses of all peripherals, declares the interrupt service
 *           routines, etc.
 */
#include <xgpio_l.h>
#include <xparameters.h>
#include <xpseudo_asm.h>
#include <sys/process.h>

/* Global variables: count is the count displayed using the 
 * LEDs, and timer_count is the interrupt frequency.
 */

int count = 0x1;  /* default count */


int main() {

  int i;
  unsigned char j = 'a';
  /* Set the gpio as output on LEDs */
  XGpio_mSetDataDirection(XPAR_MYGPIO_BASEADDR, 0x00);
  xil_printf("Hello world1\r\n") ;
  XGpio_mSetDataReg(XPAR_MYGPIO_BASEADDR, ~count);
  outbyte('x');
  outbyte(j);
  process_exit();  
  // while (1);
}
  
 







